cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-launch7 ${gz-launch_FIND_VERSION} REQUIRED COMPONENTS ${gz-launch_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-launch::gz-launch ALIAS gz-launch7::gz-launch7)
add_library(gz-launch::core ALIAS gz-launch7::gz-launch7)

# Retrieve the list of components
get_target_property(components gz-launch7::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-launch7::gz-launch7)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-launch7::gz-launch7-" "" component_name ${component})
  add_library(gz-launch::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-launch ALIAS gz-launch7::gz-launch7)
